# spec file for package nodejs-nodejs-npm-package-arg

%global npmname npm-package-arg
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-npm-package-arg
Version:        4.0.0
Release:        0%{?dist}
Summary:        Parse the things that can be arguments to `npm install`
Url:            https://github.com/npm/npm-package-arg
Source0:        http://registry.npmjs.org/npm-package-arg/-/npm-package-arg-4.0.0.tgz
License:        ISC

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(tap)
%endif

BuildRequires: npm(hosted-git-info)
BuildRequires: npm(semver)

Requires: npm(hosted-git-info)
Requires: npm(semver)

%description
Parse the things that can be arguments to `npm install`

%prep
%setup -q -n package

%{nodejs_fixdep} hosted-git-info
%{nodejs_fixdep} semver

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/npm-package-arg

cp -pr package.json npa.js\
	%{buildroot}%{nodejs_sitelib}/npm-package-arg

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/npm-package-arg

%doc README.md
%license LICENSE

%changelog
